import Vue from "vue";

import "./assets/less/base.less";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementUI from "element-ui";
import Prototype from "./assets/utils/prototype";
import Filter from "./assets/utils/filter.js";
import GlobalComponents from "./assets/utils/globalComponents.js";
import Global from "./assets/utils/global.js";
import VueClipboard from "vue-clipboard2";

import "@/assets/less/common.less";

import './assets/css/style.css'

import "./icons";//自定义图标

Vue.config.productionTip = false;
Vue.use(Prototype);
Vue.use(Filter);
Vue.use(ElementUI);
Vue.use(GlobalComponents); // 全局组件
Vue.use(VueClipboard);
// 引入iconfont
import "./assets/fonts/iconfont.css";

// 滚动插件
import scroll from "vue-seamless-scroll";
Vue.use(scroll);

Vue.prototype.Global = Global;
Vue.config.silent = true;
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
